Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.module
Class ModuleImpl

    java.lang.Object
      com.sun.syndication.feed.module.ModuleImpl

All Implemented Interfaces:
  CopyFrom, Module, Serializable, Cloneable

Direct Known Subclasses:
  DCModuleImpl, SyModuleImpl

    public abstract class ModuleImpl

extends Object
implements Cloneable, Serializable, Module

Base class for modules describing Metadata of feeds, default implementations. Examples of such modules are the Dublin Core and Syndication modules.

Author:
  Alejandro Abdelnur
See Also:
  Serialized Form

Constructor Summary
`protected` | `ModuleImpl(Class beanClass, String uri)` Constructor.

Method Summary
`Object` | `clone()` Creates a deep 'bean' clone of the object.
`boolean` | `equals(Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`String` | `getUri()` Returns the URI of the module.
`int` | `hashCode()` Returns a hashcode value for the object.
`String` | `toString()` Returns the String representation for the object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.sun.syndication.feed.CopyFrom
`copyFrom, getInterface`

Constructor Detail

### ModuleImpl

    protected ModuleImpl(Class beanClass,
                         String uri)

  Constructor.

  Parameters:
    `uri` - URI of the module.

Method Detail

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Creates a deep 'bean' clone of the object.

  Specified by:
    `clone` in interface `Module`
  Overrides:
    `clone` in class `Object`
  Returns:
    a clone of the object.
  Throws:
    `CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

### equals

    public boolean equals(Object other)

  Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `other` - he reference object with which to compare.
  Returns:
    true if 'this' object is equal to the 'other' object.

### hashCode

    public int hashCode()

  Returns a hashcode value for the object.

  It follows the contract defined by the Object hashCode() method.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the hashcode of the bean object.

### toString

    public String toString()

  Returns the String representation for the object.

  Overrides:
    `toString` in class `Object`
  Returns:
    String representation for the object.

### getUri

    public String getUri()

  Returns the URI of the module.

  Specified by:
    `getUri` in interface `Module`
  Returns:
    URI of the module.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.